package land

import (
	"github.com/veandco/go-sdl2/sdl"
)

type RootObject struct {
	BaseObject
}

func (p *RootObject) Draw(pen *sdl.Renderer) {
	for _, child := range p.Children {
		if drawableChild, ok := child.(DrawableObject); ok {
			drawableChild.Draw(pen)
		}
	}
}
